PTHREAD_RWLOCKATTR_GETPSHARED(3)

NAME
pthread_rwlockattr_getpshared - get the process shared attribute

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_rwlockattr_getpshared(const pthread_rwlockattr_t *attr, int *pshared);

DESCRIPTION
The pthread_rwlockattr_getpshared() function is used to get the process shared setting of a read/write lock attribute object. The setting is returned via pshared, and may be one of two values:

PTHREAD_PROCESS_SHARED
    Any thread of any process that has access to the memory where the read/write lock resides can manipulate the lock.

PTHREAD_PROCESS_PRIVATE
    Only threads created within the same process as the thread that initialized the read/write lock can manipulate the lock. This is the default value.

RETURN VALUES
If successful, the pthread_rwlockattr_getpshared() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_rwlockattr_getpshared() function may fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_rwlockattr_init(3), pthread_rwlockattr_setpshared(3), pthread_rwlock_init(3)

STANDARDS
The pthread_rwlockattr_getpshared() function is expected to conform to susv2.

HISTORY
The pthread_rwlockattr_getpshared() function first appeared in FreeBSD 3.0.